/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.entity;

import org.spongepowered.api.util.generator.dummy.DummyObjectProvider;

/**
 * An enumeration of all possible {@link EntityType}s available in vanilla minecraft.
 */
public final class EntityTypes {

    // SORTFIELDS:ON

    public static final EntityType AREA_EFFECT_CLOUD = DummyObjectProvider.createFor(EntityType.class, "AREA_EFFECT_CLOUD");

    public static final EntityType ARMOR_STAND = DummyObjectProvider.createFor(EntityType.class, "ARMOR_STAND");

    public static final EntityType BAT = DummyObjectProvider.createFor(EntityType.class, "BAT");

    public static final EntityType BLAZE = DummyObjectProvider.createFor(EntityType.class, "BLAZE");

    public static final EntityType BOAT = DummyObjectProvider.createFor(EntityType.class, "BOAT");

    public static final EntityType CAVE_SPIDER = DummyObjectProvider.createFor(EntityType.class, "CAVE_SPIDER");

    public static final EntityType CHESTED_MINECART = DummyObjectProvider.createFor(EntityType.class, "CHESTED_MINECART");

    public static final EntityType CHICKEN = DummyObjectProvider.createFor(EntityType.class, "CHICKEN");

    public static final EntityType COMMANDBLOCK_MINECART = DummyObjectProvider.createFor(EntityType.class, "COMMANDBLOCK_MINECART");

    public static final EntityType COMPLEX_PART = DummyObjectProvider.createFor(EntityType.class, "COMPLEX_PART");

    public static final EntityType COW = DummyObjectProvider.createFor(EntityType.class, "COW");

    public static final EntityType CREEPER = DummyObjectProvider.createFor(EntityType.class, "CREEPER");

    public static final EntityType DONKEY = DummyObjectProvider.createFor(EntityType.class, "DONKEY");

    public static final EntityType DRAGON_FIREBALL = DummyObjectProvider.createFor(EntityType.class, "DRAGON_FIREBALL");

    public static final EntityType EGG = DummyObjectProvider.createFor(EntityType.class, "EGG");

    public static final EntityType ELDER_GUARDIAN = DummyObjectProvider.createFor(EntityType.class, "ELDER_GUARDIAN");

    public static final EntityType ENDERMAN = DummyObjectProvider.createFor(EntityType.class, "ENDERMAN");

    public static final EntityType ENDERMITE = DummyObjectProvider.createFor(EntityType.class, "ENDERMITE");

    public static final EntityType ENDER_CRYSTAL = DummyObjectProvider.createFor(EntityType.class, "ENDER_CRYSTAL");

    public static final EntityType ENDER_DRAGON = DummyObjectProvider.createFor(EntityType.class, "ENDER_DRAGON");

    public static final EntityType ENDER_PEARL = DummyObjectProvider.createFor(EntityType.class, "ENDER_PEARL");

    public static final EntityType EVOCATION_FANGS = DummyObjectProvider.createFor(EntityType.class, "EVOCATION_FANGS");

    public static final EntityType EVOCATION_ILLAGER = DummyObjectProvider.createFor(EntityType.class, "EVOCATION_ILLAGER");

    public static final EntityType EXPERIENCE_ORB = DummyObjectProvider.createFor(EntityType.class, "EXPERIENCE_ORB");

    public static final EntityType EYE_OF_ENDER = DummyObjectProvider.createFor(EntityType.class, "EYE_OF_ENDER");

    public static final EntityType FALLING_BLOCK = DummyObjectProvider.createFor(EntityType.class, "FALLING_BLOCK");

    public static final EntityType FIREBALL = DummyObjectProvider.createFor(EntityType.class, "FIREBALL");

    public static final EntityType FIREWORK = DummyObjectProvider.createFor(EntityType.class, "FIREWORK");

    public static final EntityType FISHING_HOOK = DummyObjectProvider.createFor(EntityType.class, "FISHING_HOOK");

    public static final EntityType FURNACE_MINECART = DummyObjectProvider.createFor(EntityType.class, "FURNACE_MINECART");

    public static final EntityType GHAST = DummyObjectProvider.createFor(EntityType.class, "GHAST");

    public static final EntityType GIANT = DummyObjectProvider.createFor(EntityType.class, "GIANT");

    public static final EntityType GUARDIAN = DummyObjectProvider.createFor(EntityType.class, "GUARDIAN");

    public static final EntityType HOPPER_MINECART = DummyObjectProvider.createFor(EntityType.class, "HOPPER_MINECART");

    public static final EntityType HORSE = DummyObjectProvider.createFor(EntityType.class, "HORSE");

    public static final EntityType HUMAN = DummyObjectProvider.createFor(EntityType.class, "HUMAN");

    public static final EntityType HUSK = DummyObjectProvider.createFor(EntityType.class, "HUSK");

    public static final EntityType ILLUSION_ILLAGER = DummyObjectProvider.createFor(EntityType.class, "ILLUSION_ILLAGER");

    public static final EntityType IRON_GOLEM = DummyObjectProvider.createFor(EntityType.class, "IRON_GOLEM");

    public static final EntityType ITEM = DummyObjectProvider.createFor(EntityType.class, "ITEM");

    public static final EntityType ITEM_FRAME = DummyObjectProvider.createFor(EntityType.class, "ITEM_FRAME");

    public static final EntityType LEASH_HITCH = DummyObjectProvider.createFor(EntityType.class, "LEASH_HITCH");

    public static final EntityType LIGHTNING = DummyObjectProvider.createFor(EntityType.class, "LIGHTNING");

    public static final EntityType LLAMA = DummyObjectProvider.createFor(EntityType.class, "LLAMA");

    public static final EntityType LLAMA_SPIT = DummyObjectProvider.createFor(EntityType.class, "LLAMA_SPIT");

    public static final EntityType MAGMA_CUBE = DummyObjectProvider.createFor(EntityType.class, "MAGMA_CUBE");

    public static final EntityType MOB_SPAWNER_MINECART = DummyObjectProvider.createFor(EntityType.class, "MOB_SPAWNER_MINECART");

    public static final EntityType MULE = DummyObjectProvider.createFor(EntityType.class, "MULE");

    public static final EntityType MUSHROOM_COW = DummyObjectProvider.createFor(EntityType.class, "MUSHROOM_COW");

    public static final EntityType OCELOT = DummyObjectProvider.createFor(EntityType.class, "OCELOT");

    public static final EntityType PAINTING = DummyObjectProvider.createFor(EntityType.class, "PAINTING");

    public static final EntityType PARROT = DummyObjectProvider.createFor(EntityType.class, "PARROT");

    public static final EntityType PIG = DummyObjectProvider.createFor(EntityType.class, "PIG");

    public static final EntityType PIG_ZOMBIE = DummyObjectProvider.createFor(EntityType.class, "PIG_ZOMBIE");

    public static final EntityType PLAYER = DummyObjectProvider.createFor(EntityType.class, "PLAYER");

    public static final EntityType POLAR_BEAR = DummyObjectProvider.createFor(EntityType.class, "POLAR_BEAR");

    public static final EntityType PRIMED_TNT = DummyObjectProvider.createFor(EntityType.class, "PRIMED_TNT");

    public static final EntityType RABBIT = DummyObjectProvider.createFor(EntityType.class, "RABBIT");

    public static final EntityType RIDEABLE_MINECART = DummyObjectProvider.createFor(EntityType.class, "RIDEABLE_MINECART");

    public static final EntityType SHEEP = DummyObjectProvider.createFor(EntityType.class, "SHEEP");

    public static final EntityType SHULKER = DummyObjectProvider.createFor(EntityType.class, "SHULKER");

    public static final EntityType SHULKER_BULLET = DummyObjectProvider.createFor(EntityType.class, "SHULKER_BULLET");

    public static final EntityType SILVERFISH = DummyObjectProvider.createFor(EntityType.class, "SILVERFISH");

    public static final EntityType SKELETON = DummyObjectProvider.createFor(EntityType.class, "SKELETON");

    public static final EntityType SKELETON_HORSE = DummyObjectProvider.createFor(EntityType.class, "SKELETON_HORSE");

    public static final EntityType SLIME = DummyObjectProvider.createFor(EntityType.class, "SLIME");

    public static final EntityType SMALL_FIREBALL = DummyObjectProvider.createFor(EntityType.class, "SMALL_FIREBALL");

    public static final EntityType SNOWBALL = DummyObjectProvider.createFor(EntityType.class, "SNOWBALL");

    public static final EntityType SNOWMAN = DummyObjectProvider.createFor(EntityType.class, "SNOWMAN");

    public static final EntityType SPECTRAL_ARROW = DummyObjectProvider.createFor(EntityType.class, "SPECTRAL_ARROW");

    public static final EntityType SPIDER = DummyObjectProvider.createFor(EntityType.class, "SPIDER");

    public static final EntityType SPLASH_POTION = DummyObjectProvider.createFor(EntityType.class, "SPLASH_POTION");

    public static final EntityType SQUID = DummyObjectProvider.createFor(EntityType.class, "SQUID");

    public static final EntityType STRAY = DummyObjectProvider.createFor(EntityType.class, "STRAY");

    public static final EntityType THROWN_EXP_BOTTLE = DummyObjectProvider.createFor(EntityType.class, "THROWN_EXP_BOTTLE");

    public static final EntityType TIPPED_ARROW = DummyObjectProvider.createFor(EntityType.class, "TIPPED_ARROW");

    public static final EntityType TNT_MINECART = DummyObjectProvider.createFor(EntityType.class, "TNT_MINECART");

    public static final EntityType UNKNOWN = DummyObjectProvider.createFor(EntityType.class, "UNKNOWN");

    public static final EntityType VEX = DummyObjectProvider.createFor(EntityType.class, "VEX");

    public static final EntityType VILLAGER = DummyObjectProvider.createFor(EntityType.class, "VILLAGER");

    public static final EntityType VINDICATION_ILLAGER = DummyObjectProvider.createFor(EntityType.class, "VINDICATION_ILLAGER");

    public static final EntityType WEATHER = DummyObjectProvider.createFor(EntityType.class, "WEATHER");

    public static final EntityType WITCH = DummyObjectProvider.createFor(EntityType.class, "WITCH");

    public static final EntityType WITHER = DummyObjectProvider.createFor(EntityType.class, "WITHER");

    public static final EntityType WITHER_SKELETON = DummyObjectProvider.createFor(EntityType.class, "WITHER_SKELETON");

    public static final EntityType WITHER_SKULL = DummyObjectProvider.createFor(EntityType.class, "WITHER_SKULL");

    public static final EntityType WOLF = DummyObjectProvider.createFor(EntityType.class, "WOLF");

    public static final EntityType ZOMBIE = DummyObjectProvider.createFor(EntityType.class, "ZOMBIE");

    public static final EntityType ZOMBIE_HORSE = DummyObjectProvider.createFor(EntityType.class, "ZOMBIE_HORSE");

    public static final EntityType ZOMBIE_VILLAGER = DummyObjectProvider.createFor(EntityType.class, "ZOMBIE_VILLAGER");

    // SORTFIELDS:OFF

    private EntityTypes() {
    }

}
